Subject: RE: [Mip6] Consensus call: draft-giaretta-mip6-aaa-ha-goals-00.txt

From: Gerardo Giaretta <[email-masked]>
Date: Wed, 09 Feb 2005 18:28:41 +0100

Hi Raj and Alper,

see my comments below...

> 
> 
> >Before we get to listing the requirements, we (MIP6 WG) 
> should identify
> >different frameworks where "mip6" gets mixed up with "aaa". Following
> >that, we can discuss which one of the frameworks we'd like to
> >standardize in IETF, and drive the requirements based on that.
> 
> Okay. I think it is possible to have a discussion of the frameworks
> based on your I-D on the ML in a constrained timeframe and proceed to
> the next step of identifying what are the requirements for AAA-MIP6
> network elements interactions. 

Despite its title, draft-giaretta-mip6-aaa-ha-goals does not provide
just a list of goals for AAA-HA interface. We have also described 4
different scenarios for AAA and MIP6 interaction. I think that almost
all the frameworks described in Alper's draft are covered by the
scenarios described in mip6-aaa-ha-goals. In particular, referring to
Alper's slides, this is the matching:

framework 1 and 2 of draft-yegin <-----> scenario 2 in draft-giaretta
framework 4 of draft-yegin <-----> scenario 1 in draft-giaretta

In our draft we have put together framework 1 and 2 because they have
common goals for the AAA-HA interface. Nonetheless, I agree that they
have different requirements on the AAAH-MN path. We should probably
separate them if we are going to expand the draft to encompass all AAA
requirements or goals for MIP6.

Framework 3 (Piggybacking MIP6 signaling with network access AAA) is not
covered in our draft. However, I don't understand very well this
framework: it seems to be similar to MIP4 AAA framework but I wonder how
it can be applied to Mobile IPv6, due to MIP6 architecture peculiarities
(e.g. lack of Foreign Agent, usage of IPsec to protect BUs).

> >
> >This was the motivation behind writing 
> draft-yegin-mip6-aaa-fwk-00.txt.
> >4 different frameworks are mentioned in that I-D, with one being
> >detailed. 
> 
> The I-D can be a good source for the discussion itself and then we can
> simply choose to incorporate the one that we agree on as the basis for
> the goals I-D. 
> 

Raj, are you suggesting to choose one framework/solution and list the
goals for it? It seems that there is not any consensus in MIP6 WG about
the framework to be used for AAA and MIP6 interaction. I wonder even if
there is a consensus to have a unique framework for MIP6 bootstrapping
and AAA interactions. This is the reason why we described 4 scenarios
and tried to list the common AAA goals for all of them.

--Gerardo

> >
> >I have no objection to using mip6-aaa-ha-goals, but I recommend we
> >capture the framework discussions. For that, my recommendation is to
> >produce a WG I-D combining both individual I-Ds.
> 
> Not sure if we really need to do a merge of the I-Ds here. I think we
> can have a discussion on the list about the frameworks that you
> propose in your I-D and then based on consensus we can incorporate the
> one that we agree on in the giaretta draft as a section.
> 
> >
> >Besides, mip6-aaa-fwk has detailed discussions on call flow (good for
> >finding out the exact requirements), EAP considerations, why 
> we need a
> >new AAA application, and relation to mip6 bootstrapping -- which are
> >worth capturing in the WG I-D.
> 
> Some of this can go in an appendix of the giaretta draft.
> 
> >
> >Alper
> >
> 
> -Basavaraj
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Tuesday, February 08, 2005 10:31 PM
> To: [email-masked]; [email-masked]
> Subject: RE: [Mip6] Consensus call: 
> draft-giaretta-mip6-aaa-ha-goals-00.txt
> 
> 
> 
> >Before we get to listing the requirements, we (MIP6 WG) 
> should identify
> >different frameworks where "mip6" gets mixed up with "aaa". Following
> >that, we can discuss which one of the frameworks we'd like to
> >standardize in IETF, and drive the requirements based on that.
> 
> Okay. I think it is possible to have a discussion of the frameworks
> based on your I-D on the ML in a constrained timeframe and proceed to
> the next step of identifying what are the requirements for AAA-MIP6
> network elements interactions. 
> >
> >This was the motivation behind writing 
> draft-yegin-mip6-aaa-fwk-00.txt.
> >4 different frameworks are mentioned in that I-D, with one being
> >detailed. 
> 
> The I-D can be a good source for the discussion itself and then we can
> simply choose to incorporate the one that we agree on as the basis for
> the goals I-D. 
> 
> >
> >I have no objection to using mip6-aaa-ha-goals, but I recommend we
> >capture the framework discussions. For that, my recommendation is to
> >produce a WG I-D combining both individual I-Ds.
> 
> Not sure if we really need to do a merge of the I-Ds here. I think we
> can have a discussion on the list about the frameworks that you
> propose in your I-D and then based on consensus we can incorporate the
> one that we agree on in the giaretta draft as a section.
> 
> >
> >Besides, mip6-aaa-fwk has detailed discussions on call flow (good for
> >finding out the exact requirements), EAP considerations, why 
> we need a
> >new AAA application, and relation to mip6 bootstrapping -- which are
> >worth capturing in the WG I-D.
> 
> Some of this can go in an appendix of the giaretta draft.
> 
> >
> >Alper
> >
> 
> -Basavaraj
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
> 

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Alper Yegin <[email-masked]>
Date: Wed, 09 Feb 2005 10:53:00 -0800

Hi Giaretta,

> requirements or goals for MIP6.

I think framework 1 and 2 are fundamentally different. The protocols
used, and the end-points used are not the same. This makes a big
difference.

> (e.g. lack of Foreign Agent, usage of IPsec to protect BUs).

It is possible to realize that framework in some deployments, but not
necessarily all. But of course that does not mean IETF will/should
standardize it. I'm not advocating this framework. But for completeness
we shall identify this framework, and explicitly state we are not going
to standardize it (possibly give reasons, so that people don't keep
rehashing).

> the framework to be used for AAA and MIP6 interaction. 

That's what we must build first -- consensus on the standards track
frameworks. I don't think we had this discussion yet. 

> I wonder even if

Alper